# 🖌️ LibreGaming Frontend Styles

This project contains code and styles useful for those wanting to copy the look and feel of LibreGaming. This serves to bring consistency across LibreGaming services and avoid repeating work.	

## Download Stylesheet
Web files are provided in `public` folder. Point your Web Browser [here](https://git.libregaming.org/LibreGaming/frontend-styles) press the **Download** button at the top.

For those wanting layout and styles, add `style.min.css` inside your HTML. Extra functionality, such as dropdown menus, is enabled by also with `scripts.js`.

Once done, you can begin using the style definitions within HTML elements. For example, `text-lightblue` renders text with LibreGaming's blue branding colours.

### Assets
Assets such as logos are available inside `src/assets`.

## Development 
You will need Node.js installed if you want to develop the project's code.

```
npm run build
```

to bundle your application.
